# Class Configuration#getOSDLanguage

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getOSDLanguage(successCallback, errorCallback) Gets OSDLanguage

## Class Detail

Configuration#getOSDLanguage(successCallback, errorCallback)
Gets OSDLanguage

    // Javascript code
    function getOSDLanguage () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));

         console.log("specifier : " + cbObject.specifier);

         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getOSDLanguage(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  specifier | String | locale specifier

See:
  Configuration.setOSDLanguage()